constraints-extras-0.4.0.2: Utility package for constraints

Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Constraint.Flip

Synopsis

- class c h g => FlipC (c :: k -> k' -> Constraint) (g :: k') (h :: k)

# Documentation

class c h g => FlipC (c :: k -> k' -> Constraint) (g :: k') (h :: k) Source #

Flip for constraints.

#### Instances

Instances details

c h g => FlipC (c :: k -> k' -> Constraint) (g :: k') (h :: k) Source # |
Instance details Defined in Data.Constraint.Flip